******* Enter your path *******
cd "/Users/sambuehl/Dropbox/Paternalism/SUBMISSIONS/NBER/dataAndCode/"
*******************************

clear all

set more off

use "data/data.dta", replace


************************************************************
*************	Data Management				****************
************************************************************

if 1 {

	drop self1 self2 self3 self4 self5 self6 self7 self8
	drop comprehen*
	drop infoViewPrevention infoViewShrink infoViewExpand infoViewEndo infoViewExo infoViewDirect
	drop meta*
	drop selfStatedQuestion
	drop libertarian
	drop selfLater
	drop singleChoice_*
	
	drop orderOther orderSelf* orderEV orderAnchor orderPower* orderCrow* orderSingle orderDirect
	drop partsOrderPower partsOrderCrowding
	
	replace altruism = -altruism 					// was reverse-coded in Qualtrics
	replace welfareLoans = - welfareLoans			// reverse-coded since question is about liberalization rather than restriction
	
	replace meanBeliefLate = meanBeliefLate / 10
	replace meanBeliefEarly = meanBeliefEarly / 10
	
	replace treatment = "otherChar" if round(payoffVector/10) == 5
	
	gen treatmentOrderNum = substr(treatmentOrder, 1, 2) == ";b"
	drop treatmentOrder
	rename treatmentOrderNum treatmentOrder
	la de treatmentOrder 1 "Beliefs first" 0 "Prevention first"
	la val treatmentOrder treatmentOrder
	replace infoTreatment = 0 if treatmentOrder == 0
	
	
	replace preventionComClick1 = 1 if comClick2_1_ == 1 | comClick3_1_ == 1
	replace preventionComClick2 = 1 if comClick2_2_ == 1 | comClick3_2_ == 1
	replace preventionComClick3 = 1 if 					   comClick3_3_ == 1
	
	drop comClick*
	rename preventionComClick1 comClick1
	rename preventionComClick2 comClick2
	rename preventionComClick3 comClick3
	
	replace comClick1 = comClick1 == 1
	replace comClick2 = comClick2 == 1
	replace comClick3 = comClick3 == 1
	
	replace selfDescription = 4 if selfDescription == 5
	
	replace beliefTypeBin1 = beliefTypeBin1 / 10
	replace beliefTypeBin2 = beliefTypeBin2 / 10
	replace beliefTypeBin3 = beliefTypeBin3 / 10
	replace beliefTypeBin4 = beliefTypeBin4 / 10
	
	rename beliefTypeBin1 beliefType1 
	rename beliefTypeBin2 beliefType2 
	rename beliefTypeBin3 beliefType3 
	rename beliefTypeBin4 beliefType4 
	
	replace bestForSelf = bestForSelf - 5 if bestForSelf > 5
	replace bestForSelf = bestForSelf - 1

	replace mistake = mistake - 5 if mistake > 5
	replace mistake = mistake - 1

	rename tAvailable_ tAvailable
	

	gen maxLate = .
	replace maxLate = late1 if available1 == 1
	replace maxLate = late2 if available1 == 0 & available2 == 1
	replace maxLate = late3 if available1 == 0 & available2 == 0 & available3 == 1
	

	gen frontEndDelay = .
	replace frontEndDelay = frontEndDelay1 if payoffVector == 1
	replace frontEndDelay = frontEndDelay2 if payoffVector == 2
	
	drop frontEndDelay1 frontEndDelay2
		
		
	egen rankPatience = rank(meanSwitchT)
	su rankPatience 
	replace rankPatience = rankPatience / r(max)
	replace rankPatience = 1 - rankPatience
	su rankPatience
	gen deltaSingle = (rankPatience - r(min)) / (r(max) - r(min))
	
	gen meanSwitchTfirst = (switchT1 + switchT2 + switchT3) / 3
	gen meanSwitchTsecond = (switchT4 + switchT5 + switchT6) / 3
	
	
	egen rankPatience1 = rank(meanSwitchTfirst)
	su rankPatience1 
	replace rankPatience1 = rankPatience1 / r(max)
	replace rankPatience1 = 1 - rankPatience1
	su rankPatience1
	replace rankPatience1 = (rankPatience1 - r(min)) / (r(max) - r(min))
	gen deltaFirst = rankPatience1

	egen rankPatience2 = rank(meanSwitchTsecond)
	su rankPatience2 
	replace rankPatience2 = rankPatience2 / r(max)
	replace rankPatience2 = 1 - rankPatience2
	su rankPatience2
	replace rankPatience2 = (rankPatience2 - r(min)) / (r(max) - r(min))
	gen deltaSecond = rankPatience2


	
	
	
	
	la var impatienceReason1 "urgentMoneyNeed" 
	la var impatienceReason2 "generalImpatience" 
	la var impatienceReason3 "paymentUncertainty" 
	la var impatienceReason4 "payPalUncertainty" 
	la var impatienceReason5 "tremblingHand" 
	la var impatienceReason6 "lackOfAttention" 
		
	
	
	// Useful variables
	
	gen otherCharacteristic = ""
	replace otherCharacteristic = "patientHappy"		if payoffVector == 51
	replace otherCharacteristic = "patientUnhappy"		if payoffVector == 52
	replace otherCharacteristic = "impatientHappy"		if payoffVector == 53
	replace otherCharacteristic = "impatientUnhappy"	if payoffVector == 54
	

	gen otherCharacteristicNum = .
	replace otherCharacteristicNum = 1	if payoffVector == 51
	replace otherCharacteristicNum = 2	if payoffVector == 52
	replace otherCharacteristicNum = 3	if payoffVector == 53
	replace otherCharacteristicNum = 4	if payoffVector == 54
		
	
	gen altrSpite = altruism == -1
	gen altrNeutr = altruism == 0
	gen altrAltr  = altruism == 1
	

	forvalues i = 1 / 8 {
		rename test1correct`i' test`i'correct
	}
	la var test1corr "CanRemoveAndAddOptions"
	la var test2corr "someRoundsHaveFrontEndDelay"
	la var test3corr "latePayUpTo7monthsAfter"
	la var test4corr "mustMakeSingleChoice"
	la var test5corr "inducedPrefsPaidImmediately"
	la var test6corr "inducedPrefsRates"
	la var test7corr "EVraiseLowerPayoff"
	la var test8corr "ChooserRankingChoices"	
	
	
	la de faculty 1 "econ" 2 "law" 3 "medicine" 4 "humanities" 5 "sciences" 6 "educArtsPsych" 7 "noStudent" 
	la val faculty faculty
	
	rename beliefBin1 belief1
	rename beliefBin2 belief2
	rename beliefBin3 belief3
	
	replace belief1 = belief1/ 10
	replace belief2 = belief2/ 10
	replace belief3 = belief3/ 10	
	
	gen beliefTest = belief1 + belief2 + belief3
	replace belief1 = . if beliefTest == 0
	replace belief2 = . if beliefTest == 0
	replace belief3 = . if beliefTest == 0
	replace meanBeliefLate = .  if beliefTest == 0
	replace meanBeliefEarly = . if beliefTest == 0
	
	gen varBeliefLate = belief1 * (late1 - meanBeliefLate)^2 ///
					  + belief2 * (late2 - meanBeliefLate)^2 ///
					  + belief3 * (late3 - meanBeliefLate)^2 

	gen entBeliefLate = belief1 * max(log(belief1), log(0.01)) ///
					  + belief2 * max(log(belief2), log(0.01)) ///
					  + belief3 * max(log(belief3), log(0.01)) 
					  
					  
	gen sdBeliefLate = sqrt(varBeliefLate)				  

	
	gen crowded = payoffVector == 61 | payoffVector == 63
	gen shrink = treatment == "shrink"
	gen shrink_crowded = shrink * crowded
	gen powerTreatment = treatment == "shrink" | treatment == "expand"
	
	
	cap drop trNum 
	gen trNum = .
	replace trNum = 1 if treatment == "basic"
	replace trNum = 5 if treatment == "otherChar"
	replace trNum = 6 if treatment == "expand" | treatment == "shrink"
	replace trNum = 10 if treatment == "control" 

	replace abischnitt = . if abischnitt > 90
	
	rename selfPatienceNew selfCharacteristic
	
	
	gen info1 = .
	gen info2 = .
	gen info3 = .
	
	replace info1 = 73	if payoffVector == 1
	replace info1 = 83	if payoffVector == 2
	replace info1 = 70	if payoffVector == 3
	replace info1 = 81	if payoffVector == 4
	replace info1 = 85	if round(payoffVector/10) == 5
	replace info1 = 70	if round(payoffVector/10) == 6
	
	replace info2 = 20	if payoffVector == 1
	replace info2 = 0	if payoffVector == 2
	replace info2 = 22	if payoffVector == 3
	replace info2 = 11	if payoffVector == 4
	replace info2 = 7	if round(payoffVector/10) == 5
	replace info2 = 19	if round(payoffVector/10) == 6
						
	replace info3 = 7	if payoffVector == 1
	replace info3 = 17	if payoffVector == 2
	replace info3 = 8	if payoffVector == 3
	replace info3 = 8	if payoffVector == 4
	replace info3 = 8	if round(payoffVector/10) == 5
	replace info3 = 11	if round(payoffVector/10) == 6


	replace info1 = 47	if payoffVector == 1			& session <= 2			
	replace info1 = 57	if payoffVector == 2			& session <= 2
	replace info1 = 44	if payoffVector == 3			& session <= 2
	replace info1 = 73	if payoffVector == 4			& session <= 2
	replace info1 = 70	if round(payoffVector/10) == 5	& session <= 2	
	replace info1 = 64	if round(payoffVector/10) == 6	& session <= 2	

	replace info2 = 36	if payoffVector == 1			& session <= 2
	replace info2 = 13	if payoffVector == 2			& session <= 2
	replace info2 = 41	if payoffVector == 3			& session <= 2
	replace info2 = 4	if payoffVector == 4			& session <= 2
	replace info2 = 19	if round(payoffVector/10) == 5	& session <= 2	
	replace info2 = 21	if round(payoffVector/10) == 6	& session <= 2	

	replace info3 = 17	if payoffVector == 1			& session <= 2
	replace info3 = 30	if payoffVector == 2			& session <= 2
	replace info3 = 15	if payoffVector == 3			& session <= 2
	replace info3 = 23	if payoffVector == 4			& session <= 2
	replace info3 = 11	if round(payoffVector/10) == 5	& session <= 2	
	replace info3 = 15	if round(payoffVector/10) == 6	& session <= 2	

		
	replace info1 = info1 / 100
	replace info2 = info2 / 100
	replace info3 = info3 / 100

	gen surprise1 = info1 - belief1
	gen surprise2 = info2 - belief2
	gen surprise3 = info3 - belief3


	replace surprise1 = 0 if infoTr == 0
	replace surprise2 = 0 if infoTr == 0
	replace surprise3 = 0 if infoTr == 0

	replace info1 = belief1 if infoTr == 0
	replace info2 = belief2 if infoTr == 0
	replace info3 = belief3 if infoTr == 0


	

	cap drop everInfoView
	bysort id: egen everInfoView = max(infoViewPrevent)
	replace everInfoView = . if infoTr == 0


	cap gen fed = frontEndDelay == 1


	
	
	

	
	gen sumAvailable = round(3*fracAvailable)
	bysort id: egen middleOptionPrevented = max(unavailable2) if trNum == 1
	
	gen monotonicPatient_i 		= available1 >= available2 & available2 >= available3 if payoffVector <= 4 & available1 ~= . & available2 ~= . & available3 ~= .
	gen monotonicImpatient_i 	= available1 <= available2 & available2 <= available3 if payoffVector <= 4 & available1 ~= . & available2 ~= . & available3 ~= .
	gen libertarian_i 	 		= available1 == 1 & available2 == 1 & available3 == 1 if payoffVector <= 4 & available1 ~= . & available2 ~= . & available3 ~= .
	gen nonmonotonic_i 			= monotonicImpatient_i == 0 & monotonicPatient_i == 0 if payoffVector <= 4 & available1 ~= . & available2 ~= . & available3 ~= .
	gen fullPower_i 			= sumAvailable == 1									  if payoffVector <= 4 & available1 ~= . & available2 ~= . & available3 ~= .
	
	bysort id: egen monotonicPatient_j 		= min(monotonicPatient_i) 	if payoffVector <= 4 
	bysort id: egen monotonicImpatient_j 	= min(monotonicImpatient_i)	if payoffVector <= 4 
	bysort id: egen libertarian_j 			= min(libertarian_i)		if payoffVector <= 4 
	bysort id: egen fullPower_j 			= min(fullPower_i)			if payoffVector <= 4 

	cap drop libertarian
	bysort id: egen monotonicPatient 	= min(monotonicPatient_j) 	 
	bysort id: egen monotonicImpatient 	= min(monotonicImpatient_j)	 
	bysort id: egen libertarian			= min(libertarian_j)		 
	bysort id: egen fullPower			= min(fullPower_j)		 
	
	replace monotonicPatient = 0 if libertarian == 1
	replace monotonicImpatient = 0 if libertarian == 1
	
	su monotonicPatient 	
	su monotonicImpatient 	
	su libertarian
	
	drop monotonicPatient_j monotonicImpatient_j	libertarian_j fullPower_j fullPower_i monotonicPatient_i monotonicImpatient_i libertarian_i		
	
	// How many are monotonic? 
	
	gen typeDistribution =100 * monotonicPatient + 10 * monotonicImpatient + libertarian
	
	la de typeDist 0 "Other" 1 "Libertarian" 10 "Prevents patient" 100 "Prevents impatient"
	la val typeDist typeDist
	

	cap gen minLateControl = .
	replace minLateControl = 1 if available1 == 1 & available2 == 0 & available3 == 0
	replace minLateControl = 2 if available2 == 1 & available3 == 0
	replace minLateControl = 3 if available3 == 1
	replace minLateControl = . if trNum ~= 10
	
	cap gen singleLateControl = . 
	replace singleLateControl = 1 if singleChoice == 1
	replace singleLateControl = 2 if singleChoice == 2
	replace singleLateControl = 3 if singleChoice == 3
	replace singleLateControl = . if trNum ~= 10
	
	cap gen maxLateControl = .
	replace maxLateControl = 1 if available1 == 1
	replace maxLateControl = 2 if available1 == 0 & available2 == 1
	replace maxLateControl = 3 if available1 == 0  & available2 == 0  & available3 == 1
	replace maxLateControl = . if trNum ~= 10
	
	
	replace minLate = 15 if minLateControl == 1 & payoffVector == 103 
	replace minLate = 12 if minLateControl == 2 & payoffVector == 103 
	replace minLate = 2  if minLateControl == 3 & payoffVector == 103 
	replace minLate = 15 if minLateControl == 1 & payoffVector == 104 
	replace minLate = 9  if minLateControl == 2 & payoffVector == 104 
	replace minLate = 2  if minLateControl == 3 & payoffVector == 104 
	
	replace singleLate = 15 if singleLateControl == 1 & payoffVector == 103 
	replace singleLate = 12 if singleLateControl == 2 & payoffVector == 103 
	replace singleLate = 2  if singleLateControl == 3 & payoffVector == 103 
	replace singleLate = 15 if singleLateControl == 1 & payoffVector == 104 
	replace singleLate = 9  if singleLateControl == 2 & payoffVector == 104 
	replace singleLate = 2  if singleLateControl == 3 & payoffVector == 104 

	replace maxLate = 15 if maxLateControl == 1 & payoffVector == 103 
	replace maxLate = 12 if maxLateControl == 2 & payoffVector == 103 
	replace maxLate = 2  if maxLateControl == 3 & payoffVector == 103 
	replace maxLate = 15 if maxLateControl == 1 & payoffVector == 104 
	replace maxLate = 9  if maxLateControl == 2 & payoffVector == 104 
	replace maxLate = 2  if maxLateControl == 3 & payoffVector == 104 
	
	
			
	cap gen cvMain100 = round(100*cvMain)	
	cap gen cvLower = . 
	cap gen cvUpper = .
	
	replace cvLower = 1.0	if cvMain100 == 100
	replace cvLower = 0.5	if cvMain100 == 75
	replace cvLower = 0.2	if cvMain100 == 40
	replace cvLower = 0.1	if cvMain100 == 15
	replace cvLower = 0.0	if cvMain100 == 5
	replace cvLower = -0.1	if cvMain100 == -5
	replace cvLower = -0.2	if cvMain100 == -15
	replace cvLower = -0.5	if cvMain100 == -40
	replace cvLower = .		if cvMain100 == -75

	replace cvUpper = .		if cvMain100 == 100
	replace cvUpper = 1.0	if cvMain100 == 75
	replace cvUpper = 0.5	if cvMain100 == 40
	replace cvUpper = 0.2	if cvMain100 == 15
	replace cvUpper = 0.1	if cvMain100 == 5
	replace cvUpper = 0.0	if cvMain100 == -5
	replace cvUpper = -0.1	if cvMain100 == -15
	replace cvUpper = -0.2	if cvMain100 == -40
	replace cvUpper = -0.5	if cvMain100 == -75
	
	// Preparation for estimation for Table 6
	if 1 {
		
		// calculate individual level FC: 
		
		
		cap drop fcOnline* 
		cap drop deltaSingleHat deltaSingleResid 
		cap drop delta_Q*
		
		su meanBeliefLate if treatment == "basic"
		local meanMeanBeliefLate = r(mean)
		su deltaSingle
		local meanDeltaSingle = r(mean)
		
		cap drop id2
		egen id2 = group(id)
		gen fcOnline = .
		su id2
		local numSubj = r(max)
		forvalues i = 1 / `numSubj' {
			su meanBeliefLate if id2 == `i' & treatment == "basic", d
			local subjMeanBeliefLate = r(mean)
			su deltaSingle if id2 == `i'
			local subjDeltaSingle = r(mean)
			replace fcOnline = (`subjMeanBeliefLate' - `meanMeanBeliefLate') / (`subjDeltaSingle' - `meanDeltaSingle') if id2 == `i'
		}
					
		su fcOnline, d
		gen fcOnlineHigh = fcOnline >= r(p50)

		gen fcOnlineQ1 = fcOnline < r(p25)
		gen fcOnlineQ2 = fcOnline >= r(p25) & fcOnline < r(p50)
		gen fcOnlineQ3 = fcOnline >= r(p50) & fcOnline < r(p75)
		gen fcOnlineQ4 = fcOnline >= r(p75)
		
		gen delta_Q1 = deltaSingle * fcOnlineQ1
		gen delta_Q2 = deltaSingle * fcOnlineQ2
		gen delta_Q3 = deltaSingle * fcOnlineQ3
		gen delta_Q4 = deltaSingle * fcOnlineQ4
		
		cap gen fed = frontEndDelay == 1
		
		cap gen memCheckTime = memCheckRound1 == 1 & memCheckRound2 == 1
		cap gen memCheckTime_deltaSingle = deltaSingle * memCheckTime
		
		
		
		su evSelfStated
		if (r(max) == 3) {
			replace evSelfStated = evSelfStated - 2
		}
		
		// Define false consensus percentiles
		
		
			su meanBeliefLate if payoffVector <= 2
			local meanMeanBeliefLateFirst = r(mean)
			su deltaFirst
			local meanDeltaFirst = r(mean)

			cap drop id2
			egen id2 = group(id)
			gen fcOnlineFirst = .
			su id2
			local numSubj = r(max)
			forvalues i = 1 / `numSubj' {
				su meanBeliefLate if id2 == `i' & payoffVector <= 2, d
				local subjMeanBeliefLateFirst = r(mean)
				su deltaFirst if id2 == `i'
				local subjDeltaFirst = r(mean)
				replace fcOnlineFirst = (`subjMeanBeliefLateFirst' - `meanMeanBeliefLateFirst') / (`subjDeltaFirst' - `meanDeltaFirst') if id2 == `i'
			}
						
			su fcOnlineFirst, d

			gen fcOnlineQ1First = fcOnlineFirst < r(p25)
			gen fcOnlineQ2First = fcOnlineFirst >= r(p25) & fcOnlineFirst < r(p50)
			gen fcOnlineQ3First = fcOnlineFirst >= r(p50) & fcOnlineFirst < r(p75)
			gen fcOnlineQ4First = fcOnlineFirst >= r(p75)
			
			gen delta_Q1First = deltaFirst * fcOnlineQ1First
			gen delta_Q2First = deltaFirst * fcOnlineQ2First
			gen delta_Q3First = deltaFirst * fcOnlineQ3First
			gen delta_Q4First = deltaFirst * fcOnlineQ4First
			
			

			su meanBeliefLate if payoffVector == 3 | payoffVector == 4
			local meanMeanBeliefLateSecond = r(mean)
			su deltaSecond
			local meanDeltaSecond = r(mean)

			cap drop id2
			egen id2 = group(id)
			gen fcOnlineSecond = .
			su id2
			local numSubj = r(max)
			forvalues i = 1 / `numSubj' {
				su meanBeliefLate if id2 == `i' & (payoffVector == 3 | payoffVector == 4), d
				local subjMeanBeliefLateSecond = r(mean)
				su deltaSecond if id2 == `i'
				local subjDeltaSecond = r(mean)
				replace fcOnlineSecond = (`subjMeanBeliefLateSecond' - `meanMeanBeliefLateSecond') / (`subjDeltaSecond' - `meanDeltaSecond') if id2 == `i'
			}
						
			su fcOnlineSecond, d

			gen fcOnlineQ1Second = fcOnlineSecond < r(p25)
			gen fcOnlineQ2Second = fcOnlineSecond >= r(p25) & fcOnlineSecond < r(p50)
			gen fcOnlineQ3Second = fcOnlineSecond >= r(p50) & fcOnlineSecond < r(p75)
			gen fcOnlineQ4Second = fcOnlineSecond >= r(p75)
			
			gen delta_Q1Second = deltaSecond * fcOnlineQ1Second
			gen delta_Q2Second = deltaSecond * fcOnlineQ2Second
			gen delta_Q3Second = deltaSecond * fcOnlineQ3Second
			gen delta_Q4Second = deltaSecond * fcOnlineQ4Second
						
		

		// Create stacked dataset for ORIV, part 1
		preserve
			
			keep if fed == 0 & trNum == 1 & infoTr == 0
			
			gen cons_Q1			= fcOnlineQ1First
			gen cons_Q2			= fcOnlineQ2First
			gen cons_Q3			= fcOnlineQ3First

			gen var_Q1 			= delta_Q1First
			gen var_Q2 			= delta_Q2First
			gen var_Q3 			= delta_Q3First		
					
			gen inst_cons_Q1	= fcOnlineQ1Second
			gen inst_cons_Q2	= fcOnlineQ2Second
			gen inst_cons_Q3	= fcOnlineQ3Second
			gen inst_cons_Q4	= fcOnlineQ4Second

			gen inst_var_Q1 	= delta_Q1Second
			gen inst_var_Q2 	= delta_Q2Second
			gen inst_var_Q3 	= delta_Q3Second	
			gen inst_var_Q4 	= delta_Q4Second	
			
			save tmp1, replace
			
		restore
		
		// Create stacked dataset for ORIV, part 2		
		preserve
		
			keep if fed == 0 & trNum == 1 & infoTr == 0
			
			gen cons_Q1			= fcOnlineQ1Second
			gen cons_Q2			= fcOnlineQ2Second
			gen cons_Q3			= fcOnlineQ3Second
								  
			gen var_Q1 			= delta_Q1Second
			gen var_Q2 			= delta_Q2Second
			gen var_Q3 			= delta_Q3Second	
			gen var_Q4 			= delta_Q4Second	
					
			gen inst_cons_Q1	= fcOnlineQ1First
			gen inst_cons_Q2	= fcOnlineQ2First
			gen inst_cons_Q3	= fcOnlineQ3First
								  
			gen inst_var_Q1 	= delta_Q1First
			gen inst_var_Q2 	= delta_Q2First
			gen inst_var_Q3 	= delta_Q3First		
			gen inst_var_Q4 	= delta_Q4First		
			
			save tmp2, replace
		restore
		
		
		
		
	}	


	
	
}


************************************************************
*************	Tables						****************
************************************************************

if 1 {

	// Numbers mentioned in Main text
	if 1 {
	
		su unavailable2 if trNum == 1 & fed == 0 & infoTr == 0

		su tAvailable 	if infoTr == 0 & fed == 0, d
		su tEV_ 		if infoTr == 0 & fed == 0, d
	
		su tAvailable 	if infoTr == 0 & fed == 0 & trNum == 1, d
		su tEV_ 		if infoTr == 0 & fed == 0 & trNum == 1, d

		su tAvailable 	, d
		su tEV_ 		, d
		
		tab altruism if tag == 1
		
		
		cap gen selfStatedGood = evSelfStated == 3
		reg selfStatedGood if trNum == 1 & infoTr == 0 & fed == 0, cl(id)
		reg selfStatedGood if trNum == 10 & infoTr == 0 & fed == 0, cl(id)
		
		
		gen belief1pos = belief1 > 0
		gen belief2pos = belief2 > 0
		gen belief3pos = belief3 > 0
		
		su belief1pos 	if infoTr == 0 & fed == 0 & trNum == 1 & available1 == 0
		su belief2pos 	if infoTr == 0 & fed == 0 & trNum == 1 & available2 == 0
		su belief3pos 	if infoTr == 0 & fed == 0 & trNum == 1 & available3 == 0

		// Types 
		if 1 {
			
		preserve
			
			cap drop altruist
			cap drop spiteful
			gen altruist = altruism == 1
			gen spiteful = altruism == -1
			
			cap drop meanEvSelfStated*
			bysort id: egen meanEvSelfStated_i = mean(evSelfStated) if trNum == 6
			bysort id: egen meanEvSelfStated = mean(meanEvSelfStated_i)
			drop meanEvSelfStated_i
			replace meanEvSelfStated = meanEvSelfStated - 2

			keep if infoTr == 0 & fed == 0 
			gen type = .
			replace type = 3 if monotonicImpatient == 1  
			replace type = 2 if monotonicPatient == 1	 
			replace type = 1 if libertarian == 1
			replace type = 4 if monotonicImpatient == 0 & monotonicPatient == 0 & libertarian == 0
			
			// these numbers reported in paper:
			tab type
			
		restore
					
		}
		
		// Induced chooser preferences (section 4.3)
		if 1 {
		
			cap gen reduced = max(unavailable1, unavailable2, unavailable3)
		
			su reduced if trNum == 1 & fed == 0 & infoTr == 0
			su reduced if trNum == 10 & infoTr == 0
			reg reduced if trNum == 1 & fed == 0 & infoTr == 0, cl(id)
			reg reduced if trNum == 10 & infoTr == 0, cl(id)

			
			reg unavailable1 if trNum == 10 & infoTr == 0, cl(id)
			reg unavailable2 if trNum == 10 & infoTr == 0, cl(id)
			reg unavailable3 if trNum == 10 & infoTr == 0, cl(id)
			
			cap gen reducedChoiceSet = fracUnav > 0 
			
			gen smallBetter = evSelfStated == 3
			gen smallWorse = evSelfStated == 1
			
			reg fracUnav 			if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
			reg reducedChoiceSet 	if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
			reg minLate 			if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
			reg evSelfStated 		if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
			reg smallBetter 		if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
			reg smallWorse	 		if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
			reg cvMain 				if (trNum == 1) & infoTr == 0 & fed == 0, cl(id)
		
			reg fracUnav 			if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
			reg reducedChoiceSet 	if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
			reg minLate 			if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
			reg evSelfStated 		if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
			reg smallBetter 		if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
			reg smallWorse	 		if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
			reg cvMain 				if (trNum == 10) & infoTr == 0 & fed == 0, cl(id)
				
			
			
			cap drop numUnavailable
			cap drop meanNumUnav*
			gen numUnavailable = round(3*fracUnavailable)
		
			cap gen numUnav0 = numUnavailable == 0
			cap gen numUnav1 = numUnavailable == 1
			cap gen numUnav2 = numUnavailable == 2
			cap gen altruist = altruism == 1
			cap gen spiteful = altruism == -1
			
			local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector altruist spiteful"
			xi: oprobit evSelfStated  numUnav1 numUnav2 `controls' if infoTr == 0 & trNum == 10, cl(id)
			xi: intreg cvLower cvUpper  numUnav1 numUnav2 `controls' if infoTr == 0  & trNum == 10, cl(id)
		
			
				
		}
		
		// Exogenous Restriction treatments (section 4.3)
		if 1 {
		
			preserve 
				
				keep if trNum == 6 & infoTr == 0
				
				su available2 if treatment == "shrink" & crowded == 0
				su available2 if treatment == "shrink" & crowded == 1
				su available2 if treatment == "expand" & crowded == 0
				su available2 if treatment == "expand" & crowded == 1
				
				cap drop sessionOrder
				gen sessionOrder = 100 * session + orderPrevention
				
				areg available2 crowded shrink shrink_crowded if trNum == 6 , a(sessionOrder) cl(id)
				probit available2 crowded shrink shrink_crowded if trNum == 6 , cl(id)

			restore 
			
		}
	
		// Rates of viewing information (section 5.2)
		if 1 {
			su everInfoView if libertarian == 1
			su everInfoView if libertarian == 0
		}
		
		// Testing for consistency and anchoring (Footnote 62 in section 5.3)
		if 1 {
			preserve 
				
				keep if infoTr == 0
				
				bysort id: egen meanSelf_i = mean(self) if fed == 0 & trNum == 1
				bysort id: egen meanSelf = mean(meanSelf_i) 
				
				egen meanSelfRank = rank(meanSelf)
				su meanSelfRank 
				replace meanSelfRank = (meanSelfRank - r(min))/(r(max)-r(min))
				replace meanSelfRank = 1 - meanSelfRank
				reg deltaSingle meanSelfRank if tag == 1
				
				
				bysort id: egen meanSelfLate_i = mean(selfLate) if fed == 0
				bysort id: egen meanSelfLate = mean(meanSelfLate_i) 
				
				egen meanSelfLateRank = rank(meanSelfLate)
				su meanSelfLateRank 
				replace meanSelfLateRank = (meanSelfLateRank - r(min))/(r(max)-r(min))
				
				cap gen rankDiff = meanSelfLateRank - deltaSingle 
				
				bysort id: egen meanMinLate_i = mean(minLate) if trNum == 1 & fed == 0
				bysort id: egen meanMinLate = mean(meanMinLate_i) 
				egen meanMinLateRank = rank(meanMinLate) 
				
				su meanMinLateRank 
				replace meanMinLateRank = (meanMinLateRank - r(min))/(r(max)-r(min))
				
				// This is what's reported
				reg rankDiff meanMinLateRank if tag == 1
				
			restore
		}		
			
	}
	
	// Prevention (Table 3)
	if 1 {
	
	

			
		preserve 
		
			keep if infoTr == 0
		
			capture postclose prevention
			postfile prevention ///
				str2 leftBr1 float coef1  str2 rightBr1 ///
				str2 leftBr2 float coef2  str2 rightBr2 ///
				str2 leftBr3 float coef3  str2 rightBr3 ///
				float numObs numClust ///
				str60 condition ///
				str2 command using "tables/preventionTable.dta", replace
							
			foreach condition in ///
				"trNum == 1" ///
				"trNum == 10" ///
				"payoffVector == 1 & frontEnd ~= 1" ///
				"payoffVector == 2 & frontEnd ~= 1" ///
				"payoffVector == 3 & frontEnd ~= 1" ///
				"payoffVector == 4 & frontEnd ~= 1	" ///
				"payoffVector == 103 " ///
				"payoffVector == 104 " ///
				"trNum == 1 & frontEnd == 1" ///
				"trNum == 1 & frontEnd == 0" ///
				"trNum == 1 & altruism == 1" ///
				"trNum == 10 & altruism == 1" ///
				"trNum == 1 & test8correct == 1"  {
				
				reg unavailable1 if `condition', cl(id)
					local coef1  = _b[_cons]
					local se1    = _se[_cons]
					local obs1   = e(N) 
					local clust1 = e(N_clust)
				reg unavailable2 if `condition', cl(id)
					local coef2  = _b[_cons]
					local se2    = _se[_cons]
				reg unavailable3 if `condition', cl(id)
					local coef3  = _b[_cons]
					local se3    = _se[_cons]
				
				post prevention ///
					(" ") (`coef1') (" ") ///
					(" ") (`coef2') (" ") ///
					(" ") (`coef3') (" ") ///
					(`obs1') (`clust1') ///
					("`condition'") ///
					("\\")
			
				post prevention ///
					("(") (`se1') (")") ///
					("(") (`se2') (")") ///
					("(") (`se3') (")") ///
					(.) (.)	///
					(" ") ///			
					("\\")
							
			}
			
		restore
		
		capture postclose prevention
		preserve 
			clear
			use "tables/preventionTable.dta"
			replace coef1 = 100 * coef1
			replace coef2 = 100 * coef2
			replace coef3 = 100 * coef3
			format %9.1f coef*
			outsheet using "tables/preventionTable.tex", delimiter("&") nonames noquote replace
			outsheet using "tables/preventionTable.csv", delimiter(",") nonames noquote replace
		restore
		
		
	}
	
	// Welfare beliefs (Table 4)
	if 1 {
			
		su evSelfStated
		if (r(max) == 3) {
			replace evSelfStated = evSelfStated - 2
		}
		reg evSelfStated if trNum == 10 & infoTr == 0, cl(id)
			
		reg cvMain if trNum == 10 & infoTr == 0, cl(id)
		reg cvMain if trNum == 1 & infoTr == 0 & fed == 0, cl(id)

		
		cap drop numUnavailable
		cap drop meanNumUnav*
		gen numUnavailable = round(3*fracUnavailable)
		bysort id: egen meanNumUnav_i = mean(numUnavailable) if treatment == "basic"
		bysort id: egen meanNumUnav = mean(meanNumUnav_i) 
		drop meanNumUnav_i

		bysort id: egen meanNumUnavControl_i = mean(numUnavailable) if treatment == "control"
		bysort id: egen meanNumUnavControl = mean(meanNumUnavControl_i) 
		drop meanNumUnavControl_i
		
		
		cap drop zeroUnav
		gen zeroUnav = meanNumUnav == 0
		cap drop zeroUnavControl
		gen zeroUnavControl = meanNumUnavControl == 0
		
		// Wefare by number of options made unavailable
				
		cap gen numUnav0 = numUnavailable == 0
		cap gen numUnav1 = numUnavailable == 1
		cap gen numUnav2 = numUnavailable == 2

		cap gen altruist = altruism == 1
		cap gen spiteful = altruism == -1
		
		local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector altruist spiteful"
		xi: reg evSelfStated meanNumUnav zeroUnav meanNumUnavControl zeroUnavControl i.evComparison `controls' if infoTr == 0 & fed == 0  & trNum == 6 , cl(id)

		
		cap gen mainControl = .
		replace mainControl = 1 if trNum == 1
		replace mainControl = 0 if trNum == 10
		
		

		reg evSelfStated 	if infoTr == 0 & fed == 0  & treatment == "basic", cl(id)
			local depVarMean = _b[_cons]
			local depVarSd = _se[_cons]
		reg evSelfStated 	if infoTr == 0 & fed == 0  & treatment == "basic" & numUnavailable == 0, cl(id)
			local depVarMean0 = _b[_cons]
			local depVarSd0 = _se[_cons]
		xi: oprobit evSelfStated  numUnav1 numUnav2 `controls' if infoTr == 0 & fed == 0 & treatment == "basic", cl(id)
			local subj = e(N_clust)
			test numUnav1 = numUnav2
			local p = r(p)
			outreg2 using "tables/welfareBeliefs.tex", drop(_I*) dec(3) ///
			addstat("#subj", `subj', "P(1=2)", `p') tex replace	
		
		reg evSelfStated if infoTr == 0 & fed == 0  & trNum == 6 & crowded == 0, cl(id)
			local depVarMean = _b[_cons]
			local depVarSd = _se[_cons]
		xi: oprobit evSelfStated meanNumUnav zeroUnav  evComparison `controls' if infoTr == 0 & fed == 0  & trNum == 6  & crowded == 0 , cl(id)
			noisily: di -`depVarMean' / _b[meanNumUnav]
			local subj = e(N_clust)
			outreg2 using "tables/welfareBeliefs.tex", drop(_I*) dec(3) ///
			addstat("#subj", `subj') tex(frag) 		
		
		
		
		reg cvMain 	if infoTr == 0 & fed == 0  & treatment == "basic", cl(id)
			local depVarMean = _b[_cons]
			local depVarSd = _se[_cons]
		reg cvMain 	if infoTr == 0 & fed == 0  & treatment == "basic" & numUnavailable == 0, cl(id)
			local depVarMean0 = _b[_cons]
			local depVarSd0 = _se[_cons]
		xi: intreg cvLower cvUpper  numUnav1 numUnav2 `controls' if infoTr == 0 & fed == 0 & treatment == "basic", cl(id)
			local subj = e(N_clust)
			test numUnav1 = numUnav2
			local p = r(p)
			outreg2 using "tables/welfareBeliefs.tex", drop(_I*) dec(3) ///
			eqkeep(model) ///
			addstat("#subj", `subj', "depVarMean", `depVarMean', "depVarSd", `depVarSd', "depVarMean0", `depVarMean0', "depVarSd0", `depVarSd0', "P(1=2)", `p') tex 		

		reg cvMain if infoTr == 0 & fed == 0  & trNum == 6  & crowded == 0, cl(id)
			local depVarMean = _b[_cons]
			local depVarSd = _se[_cons]
		xi: intreg cvLower cvUpper meanNumUnav zeroUnav  evComparison `controls' if infoTr == 0 & fed == 0  & trNum == 6  & crowded == 0, cl(id)
			noisily: di -`depVarMean' / _b[meanNumUnav]
			local subj = e(N_clust)
			outreg2 using "tables/welfareBeliefs.tex", drop(_I*) dec(3) ///
			eqkeep(model) ///
			addstat("#subj", `subj', "depVarMean", `depVarMean', "depVarSd", `depVarSd') tex(frag) 		

	
	
	}
	
	// Projective Paternalism (Table 5)
	if 1 {
				
			
	
		local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"
		local condition = "infoTr == 0 & fed == 0 "

		xi: reg minLate 			 					if (trNum == 1) & `condition' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg minLate deltaSingle 		`controls'	if (trNum == 1) & `condition' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	replace
				
		xi: reg minLate 	if (trNum == 1) & `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg minLate deltaSingle 		`controls'	if (trNum == 1) & `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

				
		xi: reg libertarian 							if (trNum == 1) & `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: probit libertarian deltaSingle 	`controls'	if (trNum == 1) & `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

		xi: reg singleLate 							if (trNum == 1)  & `condition' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg singleLate deltaSingle 	`controls'	if (trNum == 1)  & `condition' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	
				
		xi: reg singleLate 							if (trNum == 1)  & `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg singleLate deltaSingle 	`controls'	if (trNum == 1)  & `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

		
					
		xi: reg evSelfStated 										if (trNum == 1) & `condition' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: oprobit evSelfStated deltaSingle  `controls' 			if (trNum == 1) & `condition' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

		xi: reg cvMain 													if (trNum == 1) & `condition' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: intreg cvLower cvUpper deltaSingle 	`controls' 			if (trNum == 1) & `condition' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism.tex", ///
				drop(_I* o.I*) dec(3) ///
				eqkeep(model) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

	}			
		
	// Projective Paternalism and False Consensus (Table 6)		
	if 1 {	
	
		// Mentioned in main text: 
		// Do people prevent things they believe will be chosen, even controling for risk aversion?
		
		if 0 {
			cap gen belief1bin = belief1 > 0
			cap gen belief2bin = belief2 > 0
			cap gen belief3bin = belief3 > 0
			
			reg belief1bin if unavailable1 == 1 & trNum == 1 & infoTr == 0 & fed == 0, cl(id)
			reg belief2bin if unavailable2 == 1 & trNum == 1 & infoTr == 0 & fed == 0, cl(id)
			reg belief3bin if unavailable3 == 1 & trNum == 1 & infoTr == 0 & fed == 0, cl(id)


			reg belief1bin if trNum == 1 & infoTr == 0 & fed == 0, cl(id)
			reg belief2bin if trNum == 1 & infoTr == 0 & fed == 0, cl(id)
			reg belief3bin if trNum == 1 & infoTr == 0 & fed == 0, cl(id)
		}
	
			
		// Mentioned in main text: 
		// Relation between libertarianism and false consensus 
		if 0 {	
			local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"
			xi: reg libertarian ///
				fcOnlineQ1 fcOnlineQ2 fcOnlineQ3 fcOnlineQ4 		`controls'	if treatment == "basic"  & infoTr == 0 & fed == 0, nocons cl(id)
			test fcOnlineQ1 == fcOnlineQ2 == fcOnlineQ3 == fcOnlineQ4
		}
	
		local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"
		local condition = "infoTr == 0 & fed == 0 "


		reg minLate if (trNum == 1)  & meanBeliefLate ~= . & `condition' & libertarian == 0, cl(id)
			local depVarMean = _b[_cons]
			local depVarSE = _se[_cons]
		xi: reg minLate meanBeliefLate 	`controls'	if (trNum == 1)  & `condition' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj', "depVarMean", `depVarMean', "depVarSE", `depVarSE') tex replace	
			

		reg minLate if (trNum == 1)  & meanBeliefLate ~= . & `condition', cl(id)
			local depVarMean = _b[_cons]
			local depVarSE = _se[_cons]
		xi: reg minLate meanBeliefLate 	`controls'	if (trNum == 1)  & `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj', "depVarMean", `depVarMean', "depVarSE", `depVarSE') tex 	
			
		
	
		reg meanBeliefLate if (trNum == 1)  & deltaSingle ~= . & `condition', cl(id)
			local depVarMean = _b[_cons]
			local depVarSE = _se[_cons]
		xi: reg meanBeliefLate deltaSingle 	`controls'	if (trNum == 1)  & `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj', "depVarMean", `depVarMean', "depVarSE", `depVarSE') tex 	
				
		xi: reg minLate 	if treatment == "basic"  & deltaSingle ~= . & `condition', cl(id)
			local depVarMean = _b[_cons]
			local depVarSE = _se[_cons]
		xi: reg minLate delta_Q1 delta_Q2 delta_Q3 delta_Q4  ///
			fcOnlineQ1 fcOnlineQ2 fcOnlineQ3 fcOnlineQ4 		`controls'	if treatment == "basic" & `condition', nocons cl(id)
			test delta_Q1 = delta_Q2
			local p12 = round(r(p), 0.01)
			test delta_Q1 = delta_Q3
			local p13 = round(r(p), 0.01)
			test delta_Q1 = delta_Q4
			local p14 = round(r(p), 0.01)
			test delta_Q2 = delta_Q3
			local p23 = round(r(p), 0.01)
			test delta_Q2 = delta_Q4
			local p24 = round(r(p), 0.01)
			test delta_Q3 = delta_Q4
			local p34 = round(r(p), 0.01)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(fcOnlineQ1 fcOnlineQ2 fcOnlineQ3 fcOnlineQ4 _I* o.I*) ///
				addstat("depVarMean", `depVarMean', "depVarSE", `depVarSE', "p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "#subj", `subj') tex(frag) 	

		xi: reg singleLate 	if treatment == "basic"  & deltaSingle ~= . & `condition',  cl(id)
			local depVarMean = _b[_cons]
			local depVarSE = _se[_cons]
		xi: reg singleLate delta_Q1 delta_Q2 delta_Q3 delta_Q4  ///
			fcOnlineQ1 fcOnlineQ2 fcOnlineQ3 fcOnlineQ4 		`controls'	if treatment == "basic" & `condition', nocons cl(id)
			test delta_Q1 = delta_Q2
			local p12 = round(r(p), 0.01)
			test delta_Q1 = delta_Q3
			local p13 = round(r(p), 0.01)
			test delta_Q1 = delta_Q4
			local p14 = round(r(p), 0.01)
			test delta_Q2 = delta_Q3
			local p23 = round(r(p), 0.01)
			test delta_Q2 = delta_Q4
			local p24 = round(r(p), 0.01)
			test delta_Q3 = delta_Q4
			local p34 = round(r(p), 0.01)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(fcOnlineQ1 fcOnlineQ2 fcOnlineQ3 fcOnlineQ4 _I* o.I*) ///
				addstat("depVarMean", `depVarMean', "depVarSE", `depVarSE', "p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "#subj", `subj') tex(frag) 	


		// Estimate ORIV
		preserve
			clear
			
			use tmp1
			append using tmp2
								 
			cap drop delta_Q*					 
								 
			rename var_Q1 	delta_Q1
			rename var_Q2 	delta_Q2
			rename var_Q3 	delta_Q3	
			rename var_Q4 	delta_Q4	
			
			
			local controls = "i.payoffVector" // "i.session i.orderPrevention treatmentOrder i.payoffVector"
			
			ivregress 2sls minLate (	cons_Q1 cons_Q2 cons_Q3  delta_Q1 delta_Q2 delta_Q3 delta_Q4 ///
									  = inst_cons_Q1 inst_cons_Q2 inst_cons_Q3  inst_var_Q1 inst_var_Q2 inst_var_Q3 inst_var_Q4 ) ///
									  `controls' ///
									, ///
									cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(cons_Q1 cons_Q2 cons_Q3 fcOnlineQ4 _I* o.I*) ///
				addstat("#subj", `subj') tex(frag) 	
				
			test delta_Q1 = delta_Q2
			test delta_Q1 = delta_Q3
			test delta_Q1 = delta_Q4
			test delta_Q2 = delta_Q3
			test delta_Q2 = delta_Q4
			test delta_Q3 = delta_Q4

									
			ivregress 2sls singleLate (	cons_Q1 cons_Q2 cons_Q3  delta_Q1 delta_Q2 delta_Q3 delta_Q4 ///
									  = inst_cons_Q1 inst_cons_Q2 inst_cons_Q3  inst_var_Q1 inst_var_Q2 inst_var_Q3 inst_var_Q4 ) ///
									  `controls' ///
									, ///
									cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalism2.tex", ///
				drop(cons_Q1 cons_Q2 cons_Q3 fcOnlineQ4 _I* o.I*) ///
				addstat("#subj", `subj') tex(frag) 	

			test delta_Q1 = delta_Q2
			test delta_Q1 = delta_Q3
			test delta_Q1 = delta_Q4
			test delta_Q2 = delta_Q3
			test delta_Q2 = delta_Q4
			test delta_Q3 = delta_Q4
				
		restore

		
	}
	
	// Projective Paternalism and information (Table 8)		
	if 1 {
		
		la var beliefType1 "patientHappy"
		la var beliefType2 "impatientHappy"
		la var beliefType3 "patientUnhappy"
		la var beliefType4 "impatientUnhappy"
		
		su beliefType* if infoTr == 0
		
		
		
		cap gen deltaSingle_otherChar1 = deltaSingle * (otherCharacteristicNum == 1)
		cap gen deltaSingle_otherChar2 = deltaSingle * (otherCharacteristicNum == 2)
		cap gen deltaSingle_otherChar3 = deltaSingle * (otherCharacteristicNum == 3)
		cap gen deltaSingle_otherChar4 = deltaSingle * (otherCharacteristicNum == 4)

		
		local controls = "fed i.session i.orderPrevention treatmentOrder i.payoffVector"
		local condition = "infoTr == 0 & trNum == 5 "
		
		if 0 {
			set seed 1
			xi, noomit: ///
			bootstrap  if `condition', cl(id) reps(1000): ///
			reg3 	(minLate 		 = i.otherCharacteristicNum, nocons) ///
					(meanBeliefLate	 = i.otherCharacteristicNum, nocons), ols
			// happy
			test [minLate]_IotherChar_1 - [minLate]_IotherChar_3 = [meanBeliefLate]_IotherChar_1 - [meanBeliefLate]_IotherChar_3
			// unhappy
			test [minLate]_IotherChar_2 - [minLate]_IotherChar_4 = [meanBeliefLate]_IotherChar_2 - [meanBeliefLate]_IotherChar_4
		}		

		xi, noomit: reg minLate  i.otherCharacteristicNum if `condition' , nocons cl(id)
			local subj = e(N_clust)
		test _IotherChar_1 = _IotherChar_2
			local p12 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_3
			local p13 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_4
			local p14 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_3
			local p23 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_4
			local p24 = round(r(p), 0.01)
		test _IotherChar_3 = _IotherChar_4
			local p34 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_2 = _IotherChar_3 = _IotherChar_4
			local pJoint = round(r(p), 0.01)
		test (_IotherChar_1 - _IotherChar_3) = (_IotherChar_2 - _IotherChar_4)
			local dd = round(r(p), 0.01)
		outreg2 using "tables/naivePaternalismWithInfo.tex", ///
			addstat("p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "dd", `dd', "pJoint", `pJoint', "#subj", `subj') ///
			tex replace 	
			


		xi, noomit: reg minLate deltaSingle i.otherCharacteristicNum `controls' if `condition' , nocons cl(id)
			local subj = e(N_clust)
		test _IotherChar_1 = _IotherChar_2
			local p12 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_3
			local p13 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_4
			local p14 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_3
			local p23 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_4
			local p24 = round(r(p), 0.01)
		test _IotherChar_3 = _IotherChar_4
			local p34 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_2 = _IotherChar_3 = _IotherChar_4
			local pJoint = round(r(p), 0.01)
		test (_IotherChar_1 - _IotherChar_3) = (_IotherChar_2 - _IotherChar_4)
			local dd = round(r(p), 0.01)
		outreg2 using "tables/naivePaternalismWithInfo.tex", ///
			addstat("p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "dd", `dd', "pJoint", `pJoint', "#subj", `subj') ///
			tex 
			
			
		xi, noomit: reg minLate i.otherCharacteristicNum deltaSingle_otherChar* `controls' if `condition' , nocons cl(id)
			local subj = e(N_clust)
		test deltaSingle_otherChar1 = deltaSingle_otherChar2
			local p12 = round(r(p), 0.01)
		test deltaSingle_otherChar1 = deltaSingle_otherChar3
			local p13 = round(r(p), 0.01)
		test deltaSingle_otherChar1 = deltaSingle_otherChar4
			local p14 = round(r(p), 0.01)
		test deltaSingle_otherChar2 = deltaSingle_otherChar3
			local p23 = round(r(p), 0.01)
		test deltaSingle_otherChar2 = deltaSingle_otherChar4
			local p24 = round(r(p), 0.01)
		test deltaSingle_otherChar3 = deltaSingle_otherChar4
			local p34 = round(r(p), 0.01)
		test deltaSingle_otherChar1 = deltaSingle_otherChar2 = deltaSingle_otherChar3 = deltaSingle_otherChar4
			local pJoint = round(r(p), 0.01)
		test (deltaSingle_otherChar1 - deltaSingle_otherChar3) = (deltaSingle_otherChar2 - deltaSingle_otherChar4)
			local dd = round(r(p), 0.01)
		outreg2 using "tables/naivePaternalismWithInfo.tex", ///
			drop(o.I*) ///
			addstat("p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "dd", `dd', "pJoint", `pJoint', "#subj", `subj') ///
			tex(frag)		
			

		xi, noomit: reg meanBeliefLate i.otherCharacteristicNum if `condition' , nocons cl(id)
			local subj = e(N_clust)
		test _IotherChar_1 = _IotherChar_2
			local p12 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_3
			local p13 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_4
			local p14 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_3
			local p23 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_4
			local p24 = round(r(p), 0.01)
		test _IotherChar_3 = _IotherChar_4
			local p34 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_2 = _IotherChar_3 = _IotherChar_4
			local pJoint = round(r(p), 0.01)
		test (_IotherChar_1 - _IotherChar_3) = (_IotherChar_2 - _IotherChar_4)
			local dd = round(r(p), 0.01)
		outreg2 using "tables/naivePaternalismWithInfo.tex", ///
			addstat("p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "dd", `dd', "pJoint", `pJoint', "#subj", `subj') ///
			tex 

			
		xi, noomit: reg meanBeliefLate deltaSingle i.otherCharacteristicNum `controls' if `condition' , nocons cl(id)
			local subj = e(N_clust)
		test _IotherChar_1 = _IotherChar_2
			local p12 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_3
			local p13 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_4
			local p14 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_3
			local p23 = round(r(p), 0.01)
		test _IotherChar_2 = _IotherChar_4
			local p24 = round(r(p), 0.01)
		test _IotherChar_3 = _IotherChar_4
			local p34 = round(r(p), 0.01)
		test _IotherChar_1 = _IotherChar_2 = _IotherChar_3 = _IotherChar_4
			local pJoint = round(r(p), 0.01)
		test (_IotherChar_1 - _IotherChar_3) = (_IotherChar_2 - _IotherChar_4)
			local dd = round(r(p), 0.01)
		outreg2 using "tables/naivePaternalismWithInfo.tex", ///
			addstat("p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "dd", `dd', "pJoint", `pJoint', "#subj", `subj') ///
			tex 
			
			
		xi, noomit: reg meanBeliefLate i.otherCharacteristicNum deltaSingle_otherChar* `controls' if `condition' , nocons cl(id)
			local subj = e(N_clust)
		test deltaSingle_otherChar1 = deltaSingle_otherChar2
			local p12 = round(r(p), 0.01)
		test deltaSingle_otherChar1 = deltaSingle_otherChar3
			local p13 = round(r(p), 0.01)
		test deltaSingle_otherChar1 = deltaSingle_otherChar4
			local p14 = round(r(p), 0.01)
		test deltaSingle_otherChar2 = deltaSingle_otherChar3
			local p23 = round(r(p), 0.01)
		test deltaSingle_otherChar2 = deltaSingle_otherChar4
			local p24 = round(r(p), 0.01)
		test deltaSingle_otherChar3 = deltaSingle_otherChar4
			local p34 = round(r(p), 0.01)
		test deltaSingle_otherChar1 = deltaSingle_otherChar2 = deltaSingle_otherChar3 = deltaSingle_otherChar4
			local pJoint = round(r(p), 0.01)
		test (deltaSingle_otherChar1 - deltaSingle_otherChar3) = (deltaSingle_otherChar2 - deltaSingle_otherChar4)
			local dd = round(r(p), 0.01)
		outreg2 using "tables/naivePaternalismWithInfo.tex", ///
			drop(o.I*) ///
			addstat("p12", `p12', "p13", `p13', "p14", `p14', "p23", `p23', "p24", `p24', "p34", `p34', "dd", `dd', "pJoint", `pJoint', "#subj", `subj') ///
			tex(frag)									
		
		cap gen deltaSingle_infoTr = deltaSingle * infoTr

		xi: reg minLate deltaSingle deltaSingle_infoTr infoTr 	`controls'	if (trNum == 1 ) , cl(id)
			test deltaSingle + deltaSingle_infoTr = 0
			
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismWithInfo.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj') tex(frag) 
				
		xi: reg singleLate deltaSingle deltaSingle_infoTr infoTr 	`controls'	if (trNum == 1) , cl(id)
			local subj = e(N_clust)
			test deltaSingle + deltaSingle_infoTr = 0
			outreg2 using "tables/naivePaternalismWithInfo.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj') tex(frag) 	
	
	}

	// Front-end-delay (Table 9)
	if 1 {
	
		local control = "i.session i.treatmentOrder i.orderPrevention infoTr i.payoffVector"	
		local condition = "infoTr == 0 & trNum == 1"

		xi: reg selfLate 		fed `control' if `condition' & libertarian == 0, cl(id)		
		xi: reg minLate 		fed `control' if `condition' & libertarian == 0, cl(id)
		xi: reg evSelfStated 	available1 available2 available3 fed `control' if `condition', cl(id)		
		xi: reg cvMain		 	available1 available2 available3 fed `control' if `condition', cl(id)		

		xi: reg selfLate 					  if `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg selfLate 		fed `control' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/frontEndDelay.tex", drop(_I*) dec(3) tex(frag) ///
				addstat("mean", `mean', "se", `se', "#subj", `subj') replace	 	
		xi: reg meanBeliefLate				  if `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg meanBeliefLate	fed `control' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/frontEndDelay.tex", drop(_I*) dec(3) tex(frag) ///
				addstat("mean", `mean', "se", `se', "#subj", `subj') 	 	
		xi: reg minLate 					  if `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg minLate 		fed `control' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/frontEndDelay.tex", drop(_I*) dec(3) tex(frag)  ///
				addstat("mean", `mean', "se", `se', "#subj", `subj') 	 	
		xi: reg singleLate 					  if `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg singleLate 		fed `control' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/frontEndDelay.tex", drop(_I*) dec(3) tex(frag) ///
				addstat("mean", `mean', "se", `se', "#subj", `subj') 	 	
		xi: reg evSelfStated				  if `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: oprobit evSelfStated  	fed `control' if `condition' , cl(id)		
			local subj = e(N_clust)
			outreg2 using "tables/frontEndDelay.tex", drop(_I*) dec(3) tex(frag)  ///
				addstat("mean", `mean', "se", `se', "#subj", `subj') 	 	
		xi: reg cvMain	 					  if `condition', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: intreg cvLower cvUpper	 	 	fed `control' if `condition' , cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/frontEndDelay.tex", drop(_I*) dec(3) tex(frag)  ///
				eqkeep(model) ///
				addstat("mean", `mean', "se", `se', "#subj", `subj') 	 	
						

	}
	
	// Real world policies (Tables 10 and 11 and Appendix)
	if 1 {
		cap gen ccDebt1000 = ccDebt / 1000
		cap gen monthlyExp1000 = monthlyExpenses / 1000
		
		// set value to interval midpoint for all intervals
		replace alcBinge = 0.5 if alcBinge == 0
		cap gen alcLogBinge = log(alcBinge)
		
		
		cap gen smokeStatus = smoker == 3 | smoker == 4
		replace smokeNumCigs = 0 if smokeStatus == 0
			
		
				
		
		local controls = "male age political monthlyExp1000 i.session"

		reg supportAlcTax if alcCons  ~= . & alcLogBinge ~= . & tag == 1		
		reg supportSmokeTax if smokeStatus  ~= . & smokeNumCigs ~= . & tag == 1
		reg supportSugarTax if bmi ~= . & tag == 1
		reg supportLoansRestriction if ccDebt1000 ~= . & loanTaken ~= . & tag == 1
				
		su supportAlcTax if alcCons  ~= . & alcLogBinge ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit supportAlcTax alcCons alcLogBinge i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*)  dec(3) tex replace ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		 
		xi: oprobit supportAlcTax alcCons alcLogBinge `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*)  dec(3) tex 		
		su supportSmokeTax if smokeStatus  ~= . & smokeNumCigs ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit supportSmokeTax smokeStatus smokeNumCigs i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*)  dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		
		xi: oprobit supportSmokeTax smokeStatus smokeNumCigs `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*)  dec(3) tex 
				
		su supportSugarTax if bmi ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit supportSugarTax bmi i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*) dec(3) tex  ///
				addstat("dep var mean", `mean', "dep var sd", `sd')
		xi: oprobit supportSugarTax bmi `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*)  dec(3) tex 		
				
		su supportLoansRestriction if ccDebt1000 ~= . & loanTaken ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit supportLoansRestriction ccDebt1000 loanTaken i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				drop(_I*)  dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		
		xi: oprobit supportLoansRestriction ccDebt1000 loanTaken `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldPaper.tex", ///
				sortvar(bmi alcCons smoker ccDebt1000) ///
				drop(_I*)  dec(3) tex(frag) 		
			
			

		local controls = "male age political monthlyExp1000 i.session"
		su welfareAlcTax if alcCons  ~= . & alcLogBinge ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit welfareAlcTax alcCons alcLogBinge i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex replace ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		 
		xi: oprobit welfareAlcTax alcCons alcLogBinge `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex 		
		su welfareSmokeTax if smokeStatus  ~= . & smokeNumCigs ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit welfareSmokeTax smokeStatus   i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		
		xi: oprobit welfareSmokeTax smokeStatus `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		
		xi: oprobit welfareSmokeTax  smokeNumCigs  i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		
		xi: oprobit welfareSmokeTax  smokeNumCigs  `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex 		
		su welfareSugarTax if bmi ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit welfareSugarTax bmi i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*) dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')
		xi: oprobit welfareSugarTax bmi `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex 			
		su welfareLoans if ccDebt1000 ~= . & loanTaken ~= .
			local mean = r(mean)
			local sd = r(sd)
		xi: oprobit welfareLoans ccDebt1000 loanTaken i.session if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				drop(_I*)  dec(3) tex ///
				addstat("dep var mean", `mean', "dep var sd", `sd')		
		xi: oprobit welfareLoans ccDebt1000 loanTaken `controls' if tag == 1, cl(id)
			outreg2 using "tables/realWorldWelfarePaper.tex", ///
				sortvar(bmi alcCons smoker ccDebt1000) ///
				drop(_I*)  dec(3) tex(frag) 		
			
			

		local controls = "male age political monthlyExp1000 i.session"
		cap drop s
		gen s = .
		replace s = supportAlcTax
		xi: oprobit welfareAlcTax i.s `controls' if tag == 1, cl(id)
			test _Is_2 = _Is_3
			local p23 = r(p)
			test _Is_2 = _Is_4
			local p24 = r(p)
			test _Is_3 = _Is_4
			local p34 = r(p)
			outreg2 using "tables/realWorldWelfareVsupport.tex", ///
				sortvar(_Is*) ///
				addstat("p23", `p23', "p24", `p24', "p34", `p34') ///
				dec(3) tex(frag) replace	
				
		replace s = supportAlcTax				
		xi: oprobit welfareSmokeTax i.s `controls' if tag == 1, cl(id)
			test _Is_2 = _Is_3
			local p23 = r(p)
			test _Is_2 = _Is_4
			local p24 = r(p)
			test _Is_3 = _Is_4
			local p34 = r(p)
			outreg2 using "tables/realWorldWelfareVsupport.tex", ///
				sortvar(_Is*) ///
				addstat("p23", `p23', "p24", `p24', "p34", `p34') ///
				dec(3) tex(frag) 	
			
		replace s = supportSugarTax
		xi: oprobit welfareSugarTax i.s `controls' if tag == 1, cl(id)
			test _Is_2 = _Is_3
			local p23 = r(p)
			test _Is_2 = _Is_4
			local p24 = r(p)
			test _Is_3 = _Is_4
			local p34 = r(p)
			outreg2 using "tables/realWorldWelfareVsupport.tex", ///
				sortvar(_Is*) ///
				addstat("p23", `p23', "p24", `p24', "p34", `p34') ///
				dec(3) tex(frag) 	
		
		replace s = supportLoansR
		xi: oprobit welfareLoans i.s `controls' if tag == 1, cl(id)
			test _Is_2 = _Is_3
			local p23 = r(p)
			test _Is_2 = _Is_4
			local p24 = r(p)
			test _Is_2 = _Is_5
			local p25 = r(p)
			test _Is_3 = _Is_4
			local p34 = r(p)
			test _Is_3 = _Is_5
			local p35 = r(p)
			test _Is_4 = _Is_5
			local p45 = r(p)
			outreg2 using "tables/realWorldWelfareVsupport.tex", ///
				sortvar(_Isupp*) ///
				addstat("p23", `p23', "p24", `p24', "p25", `p25', "p34", `p34', "p35", `p35', "p45", `p45') ///
				dec(3) tex(frag) 	
		
			
			
		cap drop surveySupport
		pca supportSugarTax supportAlcTax supportSmokeTax supportLoansRestriction
		predict surveySupport
		
		cap drop surveyWelfare
		pca welfareSugarTax welfareAlcTax welfareSmokeTax welfareLoans
		predict surveyWelfare 

		local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"
		local personalBehaviors = "abischnitt abiMath abiDeutsch male age political monthlyExpenses bmi alcCons alcLogBinge smokeStatus smokeNumCigs ccDebt1000 loanTaken"
		
		su `controls' `personalBehaviors' if tag == 1
		
		local condition = "" 
		
		xi: reg minLate 		surveySupport `controls' if trNum <= 4 `condition', cl(id)	
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				drop(_I*) dec(3) tex replace ///
				addstat("#subj", `subj')
		xi: reg minLate 		surveySupport `controls' `personalBehaviors' if trNum <= 4 `condition', cl(id)	
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				 drop(_I*) dec(3) tex  ///
				addstat("#subj", `subj')
		xi: reg minLate 		surveySupport `controls' if trNum == 10 `condition', cl(id)	
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				drop(_I*) dec(3) tex  ///
				addstat("#subj", `subj')
		xi: reg minLate 		surveySupport `controls' `personalBehaviors' if trNum == 10 `condition', cl(id)	
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				 drop(_I*) dec(3) tex  ///
				addstat("#subj", `subj')		
		xi: oprobit evSelfStated 	surveyWelfare evComparison `controls' if (trNum == 6 & crowded == 0) `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				 drop(_I*) dec(3) tex(frag) 	///
				addstat("#subj", `subj')
		xi: oprobit evSelfStated 	surveyWelfare evComparison `controls' `personalBehaviors'  if (trNum == 6 & crowded == 0) `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				 drop(_I*) dec(3) tex(frag) 	///
				addstat("#subj", `subj')
		xi: intreg cvLower cvUpper 			surveyWelfare evComparison `controls' if (trNum == 6 & crowded == 0) `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				eqkeep(model) ///
				 drop(_I*) dec(3) tex(frag) 	///
				addstat("#subj", `subj')
		xi: intreg cvLower cvUpper 			surveyWelfare evComparison `controls' `personalBehaviors'  if (trNum == 6 & crowded == 0) `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/experimentVsRealWorldPaper.tex", ///
				eqkeep(model) ///
				 drop(_I*) dec(3) tex(frag) 	///
				addstat("#subj", `subj')
			
		
	}
	
	// Choice Architect choices (Appendix)
	if 1 {
		
		cap gen self1 = self == 1
		cap gen self2 = self == 2
		cap gen self3 = self == 3

		cap gen selfPrevented1 = self == 1 & unavailable1 == 1
		cap gen selfPrevented2 = self == 2 & unavailable2 == 1
		cap gen selfPrevented3 = self == 3 & unavailable3 == 1

	
		capture postclose caChoice
		postfile caChoice ///
			str2 leftBr1 float coef1  str2 rightBr1 ///
			str2 leftBr2 float coef2  str2 rightBr2 ///
			str2 leftBr3 float coef3  str2 rightBr3 ///
			str2 leftBr4 float coef4  str2 rightBr4 ///
			str2 leftBr5 float coef5  str2 rightBr5 ///
			str2 leftBr6 float coef6  str2 rightBr6 ///
			float numObs numClust ///
			str60 condition ///
			str2 command using "tables/caChoiceTable.dta", replace
						
		foreach condition in ///
			"trNum == 1" ///
			"payoffVector == 1 & frontEnd ~= 1" ///
			"payoffVector == 2 & frontEnd ~= 1" ///
			"payoffVector == 3 		" ///
			"payoffVector == 4 		" ///
			"payoffVector <= 2 & frontEnd == 1" ///
			"payoffVector <= 2 & frontEnd ~= 1" ///
			"trNum == 1 & altruism == 1" ///
			"trNum == 10 	" ///
			"payoffVector == 103 	" ///
			"payoffVector == 104 	" ///
			"trNum == 10 & altruism == 1	" {
			
			reg self1 if `condition', cl(id)
				local coef1  = _b[_cons]
				local se1    = _se[_cons]
				local obs1   = e(N) 
				local clust1 = e(N_clust)
			reg self2 if `condition', cl(id)
				local coef2  = _b[_cons]
				local se2    = _se[_cons]
			reg self3 if `condition', cl(id)
				local coef3  = _b[_cons]
				local se3    = _se[_cons]
			
			reg selfPrevented1 if `condition' & self1 == 1, cl(id)
				local coef4  = _b[_cons]
				local se4    = _se[_cons]
			reg selfPrevented2 if `condition' & self2 == 1, cl(id)
				local coef5  = _b[_cons]
				local se5    = _se[_cons]
			reg selfPrevented3 if `condition' & self3 == 1, cl(id)
				local coef6  = _b[_cons]
				local se6    = _se[_cons]

			post caChoice ///
				(" ") (`coef1') (" ") ///
				(" ") (`coef2') (" ") ///
				(" ") (`coef3') (" ") ///
				(" ") (`coef4') (" ") ///
				(" ") (`coef5') (" ") ///
				(" ") (`coef6') (" ") ///
				(`obs1') (`clust1') ///
				("`condition'") ///
				("\\")
		
			post caChoice ///
				("(") (`se1') (")") ///
				("(") (`se2') (")") ///
				("(") (`se3') (")") ///
				("(") (`se4') (")") ///
				("(") (`se5') (")") ///
				("(") (`se6') (")") ///
				(.) (.)	///
				(" ") ///			
				("\\")
						
		}
		
		capture postclose caChoice
		preserve 
			clear
			use "tables/caChoiceTable.dta"
			replace coef1 = 100 * coef1
			replace coef2 = 100 * coef2
			replace coef3 = 100 * coef3
			replace coef4 = 100 * coef4
			replace coef5 = 100 * coef5
			replace coef6 = 100 * coef6
			format %9.1f coef*
			outsheet using "tables/caChoiceTable.tex", delimiter("&") nonames noquote replace
			outsheet using "tables/caChoiceTable.csv", delimiter(",") nonames noquote replace
		restore
				
	}
	
	// Variability across choice sets (Appendix)
	if 1 {
			
		preserve
			keep if trNum == 1 & infoTr == 0 & fed == 0 

			keep altruism available* early* late* self id round payoffVector fed session orderPrevention treatmentOrder
			gen choice1 = self == 2 
			gen choice2 = self == 3 
			gen choice3 = self == 4 	
			
			cap drop price*
			gen price2 = (early2 - early1) / (late1 - late2)
			gen price3 = (early3 - early2) / (late2 - late3)
			replace price2 = 1 / price2 
			replace price3 = 1 / price3
			gen price1 = 1

			
			reshape long available price early late choice, i(id round) j(option)
			gen sumEarlyLate = early + late
			
			local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"

			reg available i.option early late price			`controls' if fed == 0, cl(id)
				test early = late = 0


			collapse available early late price, by(payoffVector option) 
			
			
			
			gen latest = option == 3
			
			// These numbers reported in paper
			reg available price	
			reg available price	latest


		restore

	
	}
	
	// Unincentivized statements (Appendix)
	if 1 {
		local condition = "trNum <= 1 & infoTr == 0 & fed == 0 "
		local controls = "fed i.session i.orderPrevention beliefOrder treatmentOrder i.payoffVector"
					
		forvalues i = 1 / 6 {
			reg impatienceReason`i' if `condition' & tag == 1
			local mean = round(_b[_cons], 0.001)
			local se = round(_se[_cons], 0.001)
			di `mean'
			di `se'
		}
		
	
		xi: reg minLate impatienceReason* `controls' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/impatienceReasons.tex", ///
				drop(_I*)  dec(3) tex(frag) replace ///
				addstat("#subj", `subj')
		xi: reg fracUnavailable impatienceReason* `controls' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/impatienceReasons.tex", ///
				drop(_I*)  dec(3) tex(frag) ///
				addstat("#subj", `subj')
		xi: reg evSelfStated impatienceReason* `controls' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/impatienceReasons.tex", ///
				drop(_I*)  dec(3) tex(frag) ///
				addstat("#subj", `subj')
		xi: reg cvMain impatienceReason* `controls' if `condition', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/impatienceReasons.tex", ///
				drop(_I*)  dec(3) tex(frag) ///
				addstat("#subj", `subj')
				
	}
	
	// Projective Paternalism Table 1 with memory control
	if 1 {
	
	
		local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"
		local condition = "infoTr == 0 & fed == 0 "
	
		cap drop memCheckTime
		gen memCheckTime = memCheckRound1 == 1 & memCheckRound2 == 1
		
		local memCond = "& memCheckTime == 0"

		xi: reg minLate 			 					if (trNum == 1) & `condition' `memCond' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg minLate deltaSingle 		`controls'	if (trNum == 1) & `condition'  `memCond' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	replace
				
		xi: reg minLate 								if (trNum == 1) & `condition' `memCond' , cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg minLate deltaSingle 		`controls'	if (trNum == 1) & `condition' `memCond' , cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

		xi: reg libertarian 							if (trNum == 1) & `condition'  `memCond', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg libertarian deltaSingle 	`controls'	if (trNum == 1) & `condition' `memCond', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

		xi: reg singleLate 							if (trNum == 1)  & `condition' `memCond' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg singleLate deltaSingle 	`controls'	if (trNum == 1)  & `condition' `memCond' & libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	
				
		xi: reg singleLate 							if (trNum == 1)  & `condition' `memCond', cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: reg singleLate deltaSingle 	`controls'	if (trNum == 1)  & `condition' `memCond', cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	
				

				

		xi: reg evSelfStated 										if (trNum == 1) & `condition'  `memCond' & libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: oprobit evSelfStated deltaSingle  `controls' 			if (trNum == 1) & `condition'  `memCond'& libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) dec(3) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	

		xi: reg cvMain 													if (trNum == 1) & `condition'  `memCond'& libertarian == 0, cl(id)
			local mean = _b[_cons]
			local se = _se[_cons]
		xi: intreg cvLower cvUpper deltaSingle 	`controls' 			if (trNum == 1) & `condition'  `memCond'& libertarian == 0, cl(id)
			local subj = e(N_clust)
			outreg2 using "tables/naivePaternalismMem.tex", ///
				drop(_I* o.I*) dec(3) ///
				eqkeep(model) ///
				addstat("#subj", `subj', "mean", `mean', "se", `se') tex(frag) 	
				
	}

}


************************************************************
*************	Graphs						****************
************************************************************

if 1 {



preserve 

	keep if treatment == "basic" & infoTr == 0

	cap gen self1 = self == 1
	cap gen self2 = self == 2
	cap gen self3 = self == 3
	
	keep 	unavailable1 unavailable2 unavailable3 ///
			available1 available2 available3 ///
			self1 self2 self3 ///
			id round
	
	reshape long unavailable available self, i(id round) j(option)
	
	gen opt1 = option == 1
	gen opt2 = option == 2
	gen opt3 = option == 3
	
	reg unavailable opt1 opt2 opt3, nocons cl(id)
	local se1 = _se[opt1]
	local se2 = _se[opt2]
	local se3 = _se[opt3]
	
	collapse unavailable available self, by(option)
	gen selfAvailable = self*available
	gen selfUnavailable = self*unavailable
	
	gen upper = . 
	replace upper = unavailable + 1.96*`se1' if option == 1
	replace upper = unavailable + 1.96*`se2' if option == 2
	replace upper = unavailable + 1.96*`se3' if option == 3
	
	gen lower = . 
	replace lower = unavailable - 1.96*`se1' if option == 1
	replace lower = unavailable - 1.96*`se2' if option == 2
	replace lower = unavailable - 1.96*`se3' if option == 3
	
	tw 	(bar unavailable option, color(white) lcolor(navy) lwidth(0.5) barwidth(0.8) ) ///
		(rcap upper lower option, color(white) lcolor(navy) lwidth(0.5) ) ///
		(line self option if 0, lwidth(1) lcolor(maroon)) ///
		, ///
		xtitle("Choice option") ///
		xlabel(1 "Most patient" 2 "2nd most patient" 3 "Least patient", angle(30)) ///
		xscale(range(0.5 3.5)) ///
		ylabel(0(0.1)0.4) ///
		ytitle("Fraction unavailable") ///
		scale(1.3) aspect(0.5) ///
		legend(off) ///
		bgcolor(white) graphregion(color(white)) 	
	graph export "graphs/preventionBasic.pdf", replace
	
restore








preserve 
	keep if treatment == "basic" & infoTr == 0
	
	
	gen numAvailable = available1 + available2 + available3
	
	xi, noomit: reg cvMain i.numAvailable, nocons cl(id)
		local sd1 = _se[_InumAvaila_1]
		local sd2 = _se[_InumAvaila_2]
		local sd3 = _se[_InumAvaila_3]
	keep cvMain numAvailable id round
	collapse cvMain, by(numAvailable)
	gen upper = . 
	gen lower = .
	forvalues i = 1 / 3 {
		replace upper = cvMain + 1.96 * `sd`i'' if numAvailable == `i'
		replace lower = cvMain - 1.96 * `sd`i'' if numAvailable == `i'
	}
	tw 	(bar cvMain numAvailable, barwidth(0.7) color(white) lcolor(dkgreen) lwidth(0.4)) ///
		(rcap upper lower numAvailable, lcolor(dkgreen) lwidth(0.4)) ///
		, ///
		xtitle("Number of options in opportunity set constructed by CA") ///
		ytitle("-Compensating Variation in {c 0128}") ///
		yline(0, lcolor(black) lwidth(0.5) lpattern(shortdash)) ///
		scale(1.4) ///
		xlabel(1(1)3) ///
		ylabel(0(0.1)0.3) ///
		legend(off) ///
		bgcolor(white) graphregion(color(white)) 	
	graph export "graphs/cvMainPaper.pdf", replace
restore



preserve 
	keep if trNum == 1 & infoTr == 0 & fed == 0
	
	gen numAvailable = available1 + available2 + available3
	
	su evSelfStated
	if (r(max) == 2) {
		replace evSelfStated = evSelfStated - 2
	}
	
	gen better = evSelfStated ==  1
	gen same   = evSelfStated ==  0
	gen worse  = evSelfStated == -1
	
	keep better same worse numAvailable id round
	collapse better same worse, by(numAvailable)

	tw 	(scatter better numAvailable, 	color(navy) 	msymbol(O)) ///
		(scatter same numAvailable, 	color(dkgreen) 	msymbol(D)) ///
		(scatter worse numAvailable, 	color(maroon) 	msymbol(T)) ///
		(line better numAvailable, 		lcolor(navy) 	lpattern(solid) lwidth(0.6)) ///
		(line same numAvailable, 		lcolor(dkgreen) lpattern(longdash) lwidth(0.6)) ///
		(line worse numAvailable, 		lcolor(maroon) 	lpattern(shortdash) lwidth(0.6)) ///
		, ///
		xtitle("Number of options in opportunity set constructed by CA") ///
		ytitle("Chosen statement") ///
		ylabel(0(0.2)1) ///
		legend(order(1 "better" 2 "equal" 3 "worse") col(3) pos(12) ring(0)) ///
		xscale(range(0.5 3.5)) ///
		scale(1.4) ///
		xlabel(1(1)3) ///
		bgcolor(white) graphregion(color(white)) 	
	graph export "graphs/cvSelfMainPaperNEW.pdf", replace
restore	
	
		

	

preserve 
	// keep if monotonicPat == 1 | libertarian == 1
	keep if fed == 0
	keep if trNum <= 4  & libertarian == 0 
	cap drop meanSelfLate
	gen meanSelfLate = round(5*deltaSingle)/5
	egen groupSelfLate = group(meanSelfLate)
	xi, noomit: reg minLate i.groupSelfLate, nocons cl(id)
	gen sd = .
	su groupSelfLate
	local max = r(max)
	forvalues i = 1 / `max' {
		replace sd = _se[_IgroupSelf_`i'] if groupSelfLate == `i'
	}
	keep 	meanSelfLate minLate sd id round
	
	
	collapse minLate sd, by(meanSelfLate)
	gen upper = minLate + 1.96*sd
	gen lower = minLate - 1.96*sd

	tw  (bar minLate meanSelfLate, barwidth(0.12) color(white) lcolor(navy) lwidth(0.5) ) ///
		(rcap upper lower meanSelfLate, lcolor(navy) lwidth(0.1)) ///
		, ///
		xtitle("Choice Architect's patience sextile in online component") ///
		ytitle("Min {c 0128} Chooser must take in 6 months") ///
		xscale(range(-0.1 1.1)) ///
		xlabel(0 "1" 0.2 "2" 0.4 "3" 0.6 "4" 0.8 "5" 1 "6") ///
		ylabel(1(3)10) ///
		scale(1.3) aspect(0.6) ///
		legend(off) ///
		bgcolor(white) graphregion(color(white)) 	
	graph export "graphs/naivePaternalismPaper.pdf", replace
restore




preserve 

	local meanwidth = 0.8

	keep if trNum <= 4 & libertarian == 0 
	cap drop meanSelfLate
	gen meanSelfLate = round(5*deltaSingle)/5
	egen groupSelfLate = group(meanSelfLate)
	xi, noomit: reg minLate i.groupSelfLate, nocons cl(id)
	gen sd = .
	su groupSelfLate
	local max = r(max)
	forvalues i = 1 / `max' {
		replace sd = _se[_IgroupSelf_`i'] if groupSelfLate == `i'
	}


		
	cap gen selfLate = .	
	replace selfLate = deltaSingle
	gen selfLateQ1 = selfLate * fcOnlineQ1
	gen selfLateQ2 = selfLate * fcOnlineQ2
	gen selfLateQ3 = selfLate * fcOnlineQ3
	gen selfLateQ4 = selfLate * fcOnlineQ4
	
	reg minLate deltaSingle if treatment == "basic" & fcOnlineQ1 == 1
	reg minLate deltaSingle if treatment == "basic" & fcOnlineQ2 == 1
	reg minLate deltaSingle if treatment == "basic" & fcOnlineQ3 == 1
	reg minLate deltaSingle if treatment == "basic" & fcOnlineQ4 == 1
		
	su deltaSingle if treatment == "basic" & fcOnlineQ1 == 1
	su deltaSingle if treatment == "basic" & fcOnlineQ2 == 1
	su deltaSingle if treatment == "basic" & fcOnlineQ3 == 1
	su deltaSingle if treatment == "basic" & fcOnlineQ4 == 1
	
	
	local linecolor = "black"
		
		
	tw	(lfit minLate deltaSingle if 0, lcolor(`linecolor') lwidth(0)) ///
		(lfit minLate deltaSingle if treatment == "basic" & fcOnlineQ1 == 1, lcolor(`linecolor') lwidth(0.3)) ///
		(lfit minLate deltaSingle if treatment == "basic" & fcOnlineQ2 == 1, lcolor(`linecolor') lwidth(0.6)) ///
		(lfit minLate deltaSingle if treatment == "basic" & fcOnlineQ3 == 1, lcolor(`linecolor') lwidth(0.9)) ///
		(lfit minLate deltaSingle if treatment == "basic" & fcOnlineQ4 == 1, lcolor(`linecolor') lwidth(1.2)) ///
		, ///
		xtitle("Choice Architect's patience percentile in online component") ///
		ytitle("Min {c 0128} Chooser must take in 6 months") ///
		xscale(range(-0.1 1.1)) ///
		ylabel(1(3)10) ///
		scale(1.3) aspect(0.6) ///
		legend(order(1 "False consensus" 2 "Quartile 1" 3 "Quartile 2" 4 "Quartile 3" 5 "Quartile 4") col(1) pos(5) ring(0)) ///
		bgcolor(white) graphregion(color(white)) 	
	graph export "graphs/naivePaternalismLfitFCquartiles1.pdf", replace
restore





preserve 

	keep if trNum == 5
	keep if libertarian == 0 & infoTr == 0

	xi, noomit: reg minLate i.otherCharacteristicNum, nocons cl(id)

	local se1 = _se[_IotherChar_1]
	local se2 = _se[_IotherChar_2]
	local se3 = _se[_IotherChar_3]
	local se4 = _se[_IotherChar_4]
	test (_IotherChar_1 - _IotherChar_3) - (_IotherChar_2 - _IotherChar_4) == 0

	collapse minLate, by(otherCharacteristicNum)
	
	gen upper = . 
	replace upper = minLate + 1.96*`se1' if otherCharacteristicNum == 1
	replace upper = minLate + 1.96*`se2' if otherCharacteristicNum == 2
	replace upper = minLate + 1.96*`se3' if otherCharacteristicNum == 3
	replace upper = minLate + 1.96*`se4' if otherCharacteristicNum == 4
	
	gen lower = . 
	replace lower = minLate - 1.96*`se1' if otherCharacteristicNum == 1
	replace lower = minLate - 1.96*`se2' if otherCharacteristicNum == 2
	replace lower = minLate - 1.96*`se3' if otherCharacteristicNum == 3
	replace lower = minLate - 1.96*`se4' if otherCharacteristicNum == 4
	
	gen happy = otherCharacteristicNum == 1 | otherCharacteristicNum == 3
	gen patient = otherCharacteristicNum == 1 | otherCharacteristicNum == 2
	

	tw 	(line minLate patient if happy == 1, lcolor(navy) lwidth(0.75) ) ///
		(line minLate patient if happy == 0, lcolor(maroon) lwidth(0.75) lpattern(longdash) ) ///
		(rcap upper lower patient if happy == 1, lcolor(navy) lwidth(0.25) ) ///
		(rcap upper lower patient if happy == 0, lcolor(maroon) lwidth(0.25) ) ///
		, ///
		xlabel(0 "Impatient" 1 "Patient") ///
		xscale(range(-0.3 1.3)) ///
		ytitle("Min {c 0128} Chooser must take in 6 months") ///
		ylabel(3(1)8) ///
		xtitle(" ") ///
		scale(1.3) aspect(0.8) ///
		legend(order(1 "Happy" 2 "Unhappy") cols(1) ring(0) pos(6)) ///
		bgcolor(white) graphregion(color(white)) 
	graph export "graphs/otherCharacteristic.pdf", replace
	
restore

	  

preserve	
	keep if libertarian == 0 & infoTr == 0
	egen meanDeltaSingle = mean(deltaSingle)
	bysort payoffVector: egen trMeanMinLate = mean(minLate)
	// (scatter trMeanMinLate meanDeltaSingle if trNum == 5) ///
		
	tw 	(lfit minLate deltaSingle if payoffVector == 51 , lwidth(1)    lcolor(navy) 		lpattern(solid)) ///
		(lfit minLate deltaSingle if payoffVector == 53 , lwidth(0.35) lcolor(navy) 		lpattern(solid)) ///
		(lfit minLate deltaSingle if payoffVector == 52 , lwidth(1) lcolor(maroon) 	lpattern(longdash)) ///
		(lfit minLate deltaSingle if payoffVector == 54 , lwidth(0.35) lcolor(maroon) 	lpattern(longdash)) ///
		, ///
		legend(order(1 "Patient, happy" 2 "Impatient, happy" 3 "Patient, unhappy" 4 "Impatient, unhappy") col(1) pos(5) ring(0))	///		
		xtitle("Choice Architect's patience percentile in online component") ///
		ytitle("Min {c 0128} Chooser must take in 6 months") ///
		ylabel(1(2)9) ///
		scale(1.3) aspect(0.6) ///
		bgcolor(white) graphregion(color(white)) 	
	graph export "graphs/projectivePaternalismByChooserCharPaper.pdf", replace
restore
	
	

preserve 

	keep if treatment == "basic" & infoTr == 0 & fed == 0
	
	tab comClick1 if available1 == 1 & treatment == "basic"
	tab comClick2 if available2 == 1 & treatment == "basic"
	tab comClick3 if available3 == 1 & treatment == "basic"
	
	tab comClick1 if available1 == 0 & treatment == "basic"
	tab comClick2 if available2 == 0 & treatment == "basic"
	tab comClick3 if available3 == 0 & treatment == "basic"
	
	gen sumComClick = comClick1 + comClick2 + comClick3
	tab sumComClick
	

	bootstrap, cl(id) reps(100): ///
	reg3 	(comClick1 = available1) ///
			(comClick2 = available2) ///
			(comClick3 = available3)
	lincom [comClick1]_cons
	local se1_0 = r(se)
	lincom [comClick2]_cons
	local se2_0 = r(se)
	lincom [comClick3]_cons
	local se3_0 = r(se)
	lincom [comClick1]_cons + [comClick1]available1
	local se1_1 = r(se)
	lincom [comClick2]_cons + [comClick2]available2
	local se2_1 = r(se)
	lincom [comClick3]_cons + [comClick3]available3
	local se3_1 = r(se)
		
	keep comClick* available* 
	gen id = _n
	
	reshape long comClick available, i(id) j(option)
	
	
	collapse comClick, by(option available)
	
	gen upper1 = .
	replace upper1 = comClick + 1.96 * `se1_1' if available == 1
	replace upper1 = comClick + 1.96 * `se2_1' if available == 1
	replace upper1 = comClick + 1.96 * `se3_1' if available == 1
	
	gen upper0 = .
	replace upper0 = comClick + 1.96 * `se1_0' if available == 0
	replace upper0 = comClick + 1.96 * `se2_0' if available == 0
	replace upper0 = comClick + 1.96 * `se3_0' if available == 0


	gen lower1 = .
	replace lower1 = comClick - 1.96 * `se1_1' if available == 1
	replace lower1 = comClick - 1.96 * `se2_1' if available == 1
	replace lower1 = comClick - 1.96 * `se3_1' if available == 1
	
	gen lower0 = .
	replace lower0 = comClick - 1.96 * `se1_0' if available == 0
	replace lower0 = comClick - 1.96 * `se2_0' if available == 0
	replace lower0 = comClick - 1.96 * `se3_0' if available == 0
	
	
	
	tw 	(line comClick option if available == 1, lcolor(navy) lwidth(0.4)) ///
		(scatter comClick option if available == 1, mcolor(navy) ) ///
		(line comClick option if available == 0, lcolor(maroon)  lwidth(0.4) lpattern(longdash)) ///
		(scatter comClick option if available == 0, mcolor(maroon)  ) ///
		(rcap upper1 lower1 option if available == 1, color(navy)) ///
		(rcap upper0 lower0 option if available == 0, color(maroon)) ///
		, ///
		legend(order(1 "Available" 3 "Unavailable") ring(0) col(1) pos(10)) ///
		bgcolor(white) graphregion(color(white)) 	///
		xtitle("Choice option") ///
		ytitle("P(advised against)") ///
		ylabel(0(0.2)0.7) ///
		xlabel(1 "Most patient" 2 "2nd most patient" 3 "Least patient", angle(30)) ///
		aspect(0.7) scale(*1.3)
	graph export "graphs/comClick.pdf", replace	
	
restore





preserve 

	keep if treatment == "control" & infoTr == 0
	
	tab comClick1 if available1 == 1 & treatment == "basic"
	tab comClick2 if available2 == 1 & treatment == "basic"
	tab comClick3 if available3 == 1 & treatment == "basic"
	
	tab comClick1 if available1 == 0 & treatment == "basic"
	tab comClick2 if available2 == 0 & treatment == "basic"
	tab comClick3 if available3 == 0 & treatment == "basic"

	bootstrap, cl(id) reps(100): ///
	reg3 	(comClick1 = available1) ///
			(comClick2 = available2) ///
			(comClick3 = available3)
	lincom [comClick1]_cons
	local se1_0 = r(se)
	lincom [comClick2]_cons
	local se2_0 = r(se)
	lincom [comClick3]_cons
	local se3_0 = r(se)
	lincom [comClick1]_cons + [comClick1]available1
	local se1_1 = r(se)
	lincom [comClick2]_cons + [comClick2]available2
	local se2_1 = r(se)
	lincom [comClick3]_cons + [comClick3]available3
	local se3_1 = r(se)
		
	keep comClick* available* 
	gen id = _n
	
	reshape long comClick available, i(id) j(option)
	
	
	collapse comClick, by(option available)
	
	gen upper1 = .
	replace upper1 = comClick + 1.96 * `se1_1' if available == 1
	replace upper1 = comClick + 1.96 * `se2_1' if available == 1
	replace upper1 = comClick + 1.96 * `se3_1' if available == 1
	
	gen upper0 = .
	replace upper0 = comClick + 1.96 * `se1_0' if available == 0
	replace upper0 = comClick + 1.96 * `se2_0' if available == 0
	replace upper0 = comClick + 1.96 * `se3_0' if available == 0


	gen lower1 = .
	replace lower1 = comClick - 1.96 * `se1_1' if available == 1
	replace lower1 = comClick - 1.96 * `se2_1' if available == 1
	replace lower1 = comClick - 1.96 * `se3_1' if available == 1
	
	gen lower0 = .
	replace lower0 = comClick - 1.96 * `se1_0' if available == 0
	replace lower0 = comClick - 1.96 * `se2_0' if available == 0
	replace lower0 = comClick - 1.96 * `se3_0' if available == 0
	
	
	
	tw 	(line comClick option if available == 1, lcolor(navy) lwidth(0.4)) ///
		(scatter comClick option if available == 1, mcolor(navy) ) ///
		(line comClick option if available == 0, lcolor(maroon)  lwidth(0.4) lpattern(longdash)) ///
		(scatter comClick option if available == 0, mcolor(maroon)  ) ///
		(rcap upper1 lower1 option if available == 1, color(navy)) ///
		(rcap upper0 lower0 option if available == 0, color(maroon)) ///
		, ///
		legend(order(1 "Available" 3 "Unavailable") ring(0) col(1) pos(10)) ///
		bgcolor(white) graphregion(color(white)) 	///
		xtitle("Choice option") ///
		ytitle("P(advised against)") ///
		ylabel(0(0.2)0.7) ///
		xlabel(1 "Most patient" 2 "2nd most patient" 3 "Least patient", angle(30)) ///
		aspect(0.7) scale(*1.3)
	graph export "graphs/comClickControl.pdf", replace	
	
restore





preserve
	keep if trNum == 1 & infoTr == 0

	keep altruism available* early* late* self id round payoffVector fed session orderPrevention treatmentOrder
	gen choice1 = self == 2 
	gen choice2 = self == 3 
	gen choice3 = self == 4 	
	
	cap drop price*
	gen price2 = (early2 - early1) / (late1 - late2)
	gen price3 = (early3 - early2) / (late2 - late3)
	replace price2 = 1 / price2 
	replace price3 = 1 / price3
	gen price1 = 1

	replace available1 = 1 - available1
	replace available2 = 1 - available2
	replace available3 = 1 - available3
	
	reshape long available price early late choice, i(id round) j(option)
	gen sumEarlyLate = early + late
	
	local controls = "i.session i.orderPrevention treatmentOrder i.payoffVector"

	reg available i.option early late price			`controls' if fed == 0, cl(id)
		test early = late = 0


	collapse available early late price, by(payoffVector option) 
	reg available i.option early late price	
	reg available i.option 	
	reg available early late 
	
	cap gen leastPatient = option == 3
	noisily: reg available price	
	noisily: reg available price leastPatient	
	
	sort payoffVector option
	tw 	(scatter available price if option == 0, msymbol(circle) mcolor(white)) ///
		(scatter available price if option == 1, msymbol(circle) mcolor(dkgreen)) ///
		(scatter available price if option == 2, msymbol(diamond) mcolor(navy)) ///
		(scatter available price if option == 3, msymbol(triangle) mcolor(maroon)) ///
		(lfit available price, lcolor(black) lpattern(longdash)) ///
		, ///
		xtitle("Amount of future {c 0128} gained by giving up {c 0128}1 in present") ///
		ylabel(0(0.1)0.4) ///
		ytitle("Fraction unavailable") ///
		scale(1.3) aspect(0.5) ///
		legend(order(1 "{it:Option rank}" 2 "Most patient" 3 "2nd most patient" 4 "Least patient") ring(0) pos(5) col(1)) ///
		bgcolor(white) graphregion(color(white)) 			
	graph export "graphs/priceAndPrevention.pdf", replace

restore





	
	  
	  
}










